SoTextDetail Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
SoTextDetail Class Reference
Detail Classes

The SoTextDetail stores information about a character in a string.Instances of this class are used for storing information about hit points on textual 2D or 3D geometry after pick operations, and for storing information returned to tessellation callbacks. More...

`#include <Inventor/details/SoTextDetail.h>`

Inheritance diagram for SoTextDetail:

## Public Member Functions
virtual SoType | getTypeId (void) const
| SoTextDetail (void)
virtual | ~SoTextDetail ()
virtual SoDetail * | copy (void) const
int | getStringIndex (void) const
int | getCharacterIndex (void) const
int | getPart (void) const
void | setStringIndex (const int idx)
void | setCharacterIndex (const int idx)
void | setPart (const int idx)
Public Member Functions inherited from SoDetail
virtual | ~SoDetail ()
SbBool | isOfType (const SoType type) const

## Static Public Member Functions
static SoType | getClassTypeId (void)
static void | cleanupClass (void)
static void | initClass (void)
Static Public Member Functions inherited from SoDetail
static void | initClass (void)
static void | initClasses (void)
static SoType | getClassTypeId (void)

## Additional Inherited Members
Protected Member Functions inherited from SoDetail
| SoDetail (void)

## Detailed Description

The SoTextDetail stores information about a character in a string.

Instances of this class are used for storing information about hit points on textual 2D or 3D geometry after pick operations, and for storing information returned to tessellation callbacks.

See also
  SoRayPickAction, SoCallbackAction
  SoText3, SoText2, SoAsciiText

## Constructor & Destructor Documentation

SoTextDetail::SoTextDetail | ( | void |  | ) |

Constructor sets up an "empty" detail; all indices are set to -1 to indicate this.

SoTextDetail::~SoTextDetail | ( |  | ) |
| virtual

Destructor. This class does not allocate any extra resources, so no actions are taken.

## Member Function Documentation

SoType SoTextDetail::getTypeId | ( | void |  | ) | const
| virtual

Returns the type identification of a detail derived from a class inheriting SoDetail. This is used for run-time type checking and "downward" casting.

Usage example:

void fuhbear(SoDetail * detail)
{
if (detail->getTypeId() == SoFaceDetail::getClassTypeId()) {
// safe downward cast, know the type
SoFaceDetail * facedetail = (SoFaceDetail *)detail;
}
return; // ignore if not a SoFaceDetail
}

For application programmers wanting to extend the library with new detail classes: this method needs to be overridden in all subclasses. This is typically done as part of setting up the full type system for extension classes, which is usually accomplished by using the pre-defined macros available through Inventor/nodes/SoSubDetail.h: SO_DETAIL_SOURCE and SO_DETAIL_INIT_CLASS.

Implements SoDetail.

SoDetail * SoTextDetail::copy | ( | void |  | ) | const
| virtual

Return a deep copy of ourself.

Note that if the Coin library has been built as a DLL under Microsoft Windows and you use this method from application code, you must make sure that both the Coin DLL and the application executable is using the same instance of a C Run-Time (CRT) library. Otherwise, you will get memory heap corruption upon deallocating the returned instances, eventually leading to mysterious crashes.

Implements SoDetail.

int SoTextDetail::getStringIndex | ( | void |  | ) | const

Returns the index of the string where a character was hit / generated, from a set of multiple strings.

See also
  SoMFString

int SoTextDetail::getCharacterIndex | ( | void |  | ) | const

Returns the index of the character in the string which was hit.

See also
  getStringIndex()

int SoTextDetail::getPart | ( | void |  | ) | const

For SoText3, returns the part id of the text geometry. The id numbers matches those specified in the SoText3::Part enumeration.

void SoTextDetail::setStringIndex | ( | const int | idx | ) |

Internal method for "client" shape nodes to initialize this SoTextDetail instance.

void SoTextDetail::setCharacterIndex | ( | const int | idx | ) |

Internal method for "client" shape nodes to initialize this SoTextDetail instance.

void SoTextDetail::setPart | ( | const int | partarg | ) |

Internal method for "client" shape nodes to initialize this SoTextDetail instance.

The documentation for this class was generated from the following files:

- SoTextDetail.h
- SoTextDetail.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.